#ifndef VDW_KERNEL_H
#define VDW_KERNEL_H

#define KERNEL_ALPHAS 20
#define KERNEL_KPOINTS 1025
#define KERNEL_DELTAK 6.283185307179587e-02

static const double kernel_kaa[KERNEL_ALPHAS*KERNEL_ALPHAS*KERNEL_KPOINTS];

// Input:
//   double k: interpolation point
// Output:
//   double kernel_aa[KERNEL_ALPHAS*KERNEL_ALPHAS]: value of kernels at the interpolation point
void vdwxc_interpolate_kernels(double k, double* kernel_aa);

#endif
