#ifndef VDW_SPLINES_H
#define VDW_SPLINES_H

#define SPLINE_ALPHAS 20
#define SPLINE_REGIONS 19
#define SPLINE_COEFFICIENTS 4
#define SPLINEDATASIZE SPLINE_ALPHAS*SPLINE_REGIONS*SPLINE_COEFFICIENTS

#define SPLINE_QMIN 1e-5
#define SPLINE_QMAX 5.0


static const double qmesh[SPLINE_ALPHAS];
static const double vdw_splinedata[SPLINEDATASIZE];

void vdwxc_evaluate_palpha_splines(double prefactor, double q, double* output);
void vdwxc_evaluate_palpha_splines_derivative(double q0, double* output);

#endif

